#!/bin/sh

TMP_DIR="${1}"
CONF_ID="${2}"

if [ ! -d "${TMP_DIR}" ] || [ -z "${CONF_ID}" ]
then
	exit -1
fi

MYSQL_USER="vlab"
MYSQL_PASS="#VLAB#"
MYSQL_DB="vlab"

CONFIG="<nvram>"

echo ${TMP_DIR}

for ROUTER in `ls -1 ${TMP_DIR}/*_nvram`
do
	echo ${ROUTER}

	ROUTER_CONFIG="<router>\n"`basename ${ROUTER} | awk 'BEGIN { FS="_" } { printf "<series>%s</series>\n<name>%s</name>\n",$1,$2 }'`
	ROUTER_CONFIG=${ROUTER_CONFIG}"\n<config>\n!\n"`grep -a '^[ 0-9a-zA-Z!]' ${ROUTER} | awk '{ if ( NR > 7 ) printf "%s\n",$0 }' | head -n -2`"\n</config>\n</router>\n\n"

	echo ${ROUTER_CONFIG}

	CONFIG=${CONFIG}${ROUTER_CONFIG}
done

CONFIG=${CONFIG}"</nvram>"

echo ${CONFIG}

echo "Updating mysql"
#/usr/bin/mysql -u ${MYSQL_USER} --password=${MYSQL_PASS} $MYSQL_DB -e "UPDATE simulation SET config = '${CONFIG}' WHERE id = ${CONF_ID} ;"

exit 0

