#!/bin/sh

if [ -z $1 ]; then
	echo "Use ./shutdown time [username]"
	exit 5; #no time given
fi

if [ -z $2 ]; then
	DELETE_USER=$RUN_USER
else
	DELETE_USER=$2
fi

echo "shutdown sleep"
sleep $1

/opt/scripts/config.sh ${3} ${4}
pkill -U $DELETE_USER > /dev/null 2>&1
for i in `ps aunx | egrep "shutdown.sh [0-9]+ $DELETE_USER" | grep -v "grep " | awk '{if($2!='$$'){print $2}}'`; do
	kill $i > /dev/null 2>&1;
done
for i in `egrep '^'\`echo $DELETE_USER | sed "s/_[0-9]*$//"\`'_[0-9]*:' /etc/passwd | awk -F ':' '{print $1}'`; do
	userdel -r $i > /dev/null 2>&1;
done

exit 0
